#ifndef PICONTAINERX_SEEN
#define PICONTAINERX_SEEN

#include "pisysdep.h"
#include "picontainergen.h"


class PIContainerX : public PIContainerGen 
{
public:
	              PIContainerX(PIContainerGen *par, char *nom,
                           int sx=10, int sy=10, int px=0, int py=0);

// Ce constructeur est a utiliser par PIApplicationX ...
              	      PIContainerX(PIMsgHandler *par, PIWdgX *parwdg, char *nom,
                           int sx=10, int sy=10, int px=0, int py=0);

  virtual  	      ~PIContainerX();

// Pour traiter les Resize-Request si TopContainer de PIApplicationX
  virtual void        Process(PIMessage msg, PIMsgHandler* sender, void* data=NULL);

protected :
  PIWdgX* mTopWdg;
};

typedef PIContainerX PIContainer;

#endif  /* PICONTAINERX_SEEN */
